Bug 1146326 - CVE-2014-7169 bash: Code execution via specially-crafted environment (Incomplete fix for CVE-2014-6271) [fedora-all]
Summary: CVE-2014-7169 bash: Code execution via specially-crafted environment (Incompl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bash
Version: 20
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Ondrej Oprala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=jsmith
: 1146361 (view as bug list)
Depends On:
Blocks: CVE-2014-7169
TreeView+ depends on / blocked
 
Reported: 2014-09-25 02:08 UTC by Huzaifa S. Sidhpurwala
Modified: 2016-02-01 02:10 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-15 14:36:57 UTC


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2014-09-25 02:08:56 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Huzaifa S. Sidhpurwala 2014-09-25 02:09:05 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1146319,1146326

# Description of your update
notes=Security fix for CVE-2014-3659

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1146319,1146326

Comment 2 Iago Rubio 2014-09-25 10:55:49 UTC
Huzafai, looks like the CVE in this bug report have not been updated yet.

--
"No, we are keeping CVE-2014-7169. CVE-2014-7169 was already public at
nvd.nist.gov before 1146319 was created. Also, the nvd.nist.gov entry
most likely has a much wider audience. We will enter a REJECT entry
for CVE-2014-3659."

So CVE-2014-3659 stands rejected and we will use CVE-2014-7169 for this
issue.
-- 
http://seclists.org/oss-sec/2014/q3/688

The previous and standing cve seems to be CVE-2014-7169 and bug id 1146319.

https://access.redhat.com/security/cve/CVE-2014-7169
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2014-7169

https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2014-7169
https://bugzilla.redhat.com/show_bug.cgi?id=1146319

Comment 3 Branko Grubić 2014-09-25 11:38:58 UTC
*** Bug 1146361 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.